[P073]Fulltext navigation location information

get
https://connect.patsnap.com/basic-patent-data/description-offset
Try in Sandbox

The text paragraph location information of a specific patent can be queried by entering "patent_id" or "patent_number". The paragraph includes: technical field, background technology, invention content, attached drawing description, specific implementation plan, etc.

The patent_id and the patent_number must have one of the two parameters, if both exist, the patent_id will be used first.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
lang
stringEN
text language,Only EN, CN, JP, KR, and TW are supported.default EN
patent_id
stringf3deb1dd-fd57-4bbb-85c4-6820be90b853
patent_id
patent_number
stringUS9800501B2
patent_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
pn
stringCN116420141A
Patent number
lang
stringCN
language
sections
arrayPlease check the form: PatentDescOffsetSection
patent description location index info
section_name
objectPlease check the form: PatentDescOffsetSectionName
Extract the name
text
string技术领域
text
idx_end
integer<int32>31
End position, the ending character index in the original text
idx_start
integer<int32>-
Start position, the starting character index in the original text
category_id
array[ "1" ]
Category id
category_name
array[ "技术领域" ]
Category name
section_content
objectPlease check the form: PatentDescOffsetSectionContent
Extract the text
idx_end
integer<int32>31
End position, the ending character index in the original text
idx_start
integer<int32>-
Start position, the starting character index in the original text
patent_id
stringfdbca633-63df-4c0b-8597-3f6c5e3a2748
Patent id
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "pn": "CN116420141A",
    "lang": "CN",
    "sections": [
      {
        "section_name": {
          "text": "技术领域",
          "idx_end": 31,
          "idx_start": 0,
          "category_id": [
            "1"
          ],
          "category_name": [
            "技术领域"
          ]
        },
        "section_content": {
          "idx_end": 31,
          "idx_start": 0
        }
      }
    ],
    "patent_id": "fdbca633-63df-4c0b-8597-3f6c5e3a2748"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms